Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2020-02255, UID# 2837
App. Status: Expired

Valid: 07/22/2020 - 07/25/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2546 (07/21/2020)

Charge Cost Quantity Total
Non-Taxable
added 07/21/2020 2:07 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/21/2020 2:07 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 07/21/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLester D. Riddle - 07/21/2020 2:08 PM
0928c1bf576c0362446005e8a884392d
ca8ed19a1cf0df0725d0a2aac3ba9ac2
 
#1 Permit Issuing OfficialKen Miller - 07/21/2020 2:18 PM
1ffc45b385ca6b069a1b493225f42a23
03fb79d3b6ef08f9372304b0ea78138c
 
Permit has been approved. All signatures have been obtained.